Katello - Feature #31797

The Container Gateway should validate user settings
02/03/2021 02:29 PM - lan Ballou

Status: New

Priority: Normal

Assignee:

Category: Container

Target version: Katello Backlog

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Example from Puppet's config:

validate :puppet_url, :url => true
validate_readable :puppet_ssl_ca, :puppet_ssl_cert, :puppet_ssl_key

Related issues:
Related to Katello - Bug #31982: Smart Proxy Container Gateway calls Proxy::S... Closed

History

#1 - 02/03/2021 06:51 PM - James Jeffers
- Target version set to Katello 4.1.0

- Triaged changed from No to Yes

#2 - 03/02/2021 12:09 AM - Ewoud Kohl van Wijngaarden
- Related to Bug #31982: Smart Proxy Container Gateway calls Proxy::Settings.initialize_global_settings added

#3 - 03/02/2021 12:11 AM - Ewoud Kohl van Wijngaarden

Most of this was resolved in #31982 but the sqlite_db_path setting can't be checked with the current code. validate_readable requires the file to exist
but the file can be created during migrations.

#4 - 05/12/2021 06:58 PM - lan Ballou
- Target version changed from Katello 4.1.0 to Katello 4.2.0

#5 - 08/03/2021 05:47 PM - lan Ballou
- Target version changed from Katello 4.2.0 to Katello 4.3.0

#6 - 11/10/2021 02:08 PM - lan Ballou
- Target version changed from Katello 4.3.0 to Katello 4.4.0

#7 - 02/02/2022 07:37 PM - lan Ballou
- Target version changed from Katello 4.4.0 to Katello 4.5.0

#8 - 07/08/2022 08:31 PM - Partha Aji
- Triaged changed from Yes to No

#9 - 07/08/2022 08:39 PM - Partha Aji
- Target version changed from Katello 4.5.0 to Katello 4.6.0

#10 - 07/13/2022 05:49 PM - Partha Aji
- Target version changed from Katello 4.6.0 to Katello Backlog
https://projects.theforeman.org/issues/31982

- Triaged changed from No to Yes
